package com.jty.wsxt.domain.model.auth.history;

import com.jty.wsxt.domain.model.auth.user.EnableUserEvent;
import com.jty.wsxt.infrastructure.DomainEventSubscriber;

/**
 * 说明
 *
 * @author Manjiajie
 * @since 2019-2-13 19:19:46
 */
public class EnableUserSubscriber extends DomainEventSubscriber<EnableUserEvent> {
    @Override
    public Class<?> subscribedToEventType() {
        return EnableUserEvent.class;
    }

    @Override
    public void handleEvent(EnableUserEvent domainEvent) {
        AuthUserHistory history = new AuthUserHistory();
        history.setManagerId(domainEvent.getManagerId());
        history.setOperatorId(domainEvent.getOperatorDto().getOperatorId());
        history.setOperatorName(domainEvent.getOperatorDto().getOperatorName());
        history.setOperateReason(domainEvent.getOperatorDto().getReason());
        history.setOperation("启用");
        history.save();
    }
}
