package com.jty.wsxt.domain.shared;

import java.io.Serializable;

/**
 * 标记实体对象
 *
 * @author Jason
 * @since 2019/4/17 10:53
 */
public interface EntityObject<T> extends Serializable {

    /**
     * 实体对象的比较，通过唯一标识比较
     * @param other 其它实体
     * @return 如果唯一标识一样就标识一样，返回true，其它false
     */
    boolean sameIdentityAs(T other);
}
