package com.jty.wsxt.domain.shared;

import java.io.Serializable;

/**
 * 值对象
 *
 * @author Jason
 * @since 2019/4/17 10:56
 */
public interface ValueObject<T> extends Serializable {

    /**
     * 值对象比较是通过属性比较，他们没有唯一标识
     * @param other 其它值对象
     * @return 如果属性一致表示一致，返回true，其它false
     */
    boolean sameValueAs(T other);
}
