package com.jty.wsxt.domain.model.module;

import org.springframework.data.jpa.repository.JpaRepository;

import java.util.Optional;

/**
 * ModuleRepository
 *
 * @author Manjiajie
 * @since 2019-6-21 11:17:11
 */
public interface ModuleRepository extends JpaRepository<Module,Integer> {
    Optional<Module> findByNameAndUsed(String name,boolean used);

    Optional<Module> findByName(String name);
}
